{% extends 'base.html.twig' %}

{% block title %}Connexion!{% endblock %}

{% block body %}
<form method="post" class="text-center container">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            Vous êtes déjà connecté en tant {{ app.user.email }}
        </div>
    {% endif %}

	<section class="h-100 ">
		<div class="container ">
			<div class="row justify-content-md-center  ">
				<div class="card-wrapper">
					
					<div class="card fat  p-5 ">
					<div class="brand text-center">
						<img style="height: 100px;"src="img/logo.png" alt="logo">
					</div>
						<div class="card-bodybox">
							<h1 class="card-title pt-4">Connexion</h1>
							<form method="POST" class="my-login-validation" novalidate="">
								 <label for="inputEmail">Email</label>
                                <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control mb-5 " required autofocus>
            				<input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">

								<div class="form-group">
									<label class="mt-2" for="inputPassword">Mot de passe</label>
                                    <input type="password" name="password" id="inputPassword" class="form-control mb-5" required>
								    <a href="/reset-password">Mot de passe oublié?</a>
									<div class="invalid-feedback">
								    	Mot de passe requis
							    	</div>
								</div>

								<div class="form-group">
									<div class="custom-checkbox custom-control">
										<label>
                                             <input type="checkbox" name="_remember_me"> se souvenir de moi
                                        </label>
									</div>
								</div>

								<div class="form-group ">
									<button type="submit" class="btn btn-primary btn-block mt-5">
										Connexion
									</button>
								</div>
								<div class="mt-4 text-center">
									Vous n'avez pas de compte ? <a href="/register">Créer en un</a>
								</div>
							</form>
						</div>
					</div>
					
				</div>
			</div>
		</div>
	</section>
{% endblock %}
